
Redmine - Feature #22951

Make Tracker and Status map-able for CSV import

2016-06-01 09:16 - Sebastian Paluch

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version: 3.3.0   

Resolution: Fixed   

Description

It would be much easier to import issues when Tracker field is map-able, CSV files often have more than one type of issues. Now, it

is required to split CSV files by issue type and import multiple times under different trackers.

related to #950.

Related issues:

Has duplicate Redmine - Feature #22950: Add column 'status' for CSV import Closed

Has duplicate Redmine - Defect #22355: trackers can't be imported on issues Closed

Associated revisions

Revision 15490 - 2016-06-07 20:23 - Jean-Philippe Lang

Make Tracker map-able for CSV import (#22951).

Revision 15493 - 2016-06-07 20:39 - Jean-Philippe Lang

Make Status map-able for CSV import (#22951).

Revision 15500 - 2016-06-11 07:25 - Jean-Philippe Lang

Merged r15490 to r15493, r15496, r15497 (#22951).

Revision 15511 - 2016-06-11 09:48 - Jean-Philippe Lang

Set default language in import tests (#22951).

Revision 15512 - 2016-06-11 09:58 - Jean-Philippe Lang

Include required module (#22951).

Revision 15824 - 2016-09-08 16:25 - Toshi MARUYAMA

Merged r15511 from trunk to 3.3-stable (#22951, #23558)

Set default language in import tests.

Revision 15828 - 2016-09-08 17:01 - Toshi MARUYAMA

Merged r15512 from trunk to 3.3-stable (#22951, #23558)

Include required module.

History

#1 - 2016-06-04 15:01 - Haihan Ji

Not only TRACKER,  I need STATUS too.

For some reason, my customer can't access our intranet.

But we need them do some feedback.

1. export issues, convert to xls file;

2. send  xls to customer by email;

3. customer fill feedback in xls;

4. receive feedback, convert to csv;

5. import to redmine (update old issue and insert new issue)
we do this by Importer ( http://www.redmine.org/plugins/importer )  now.

#2 - 2016-06-11 07:35 - Jean-Philippe Lang

- Subject changed from Make Tracker map-able for CSV import to Make Tracker and Status map-able for CSV import

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.3.0

- Resolution set to Fixed

You can now map tracker and status when importing issues.

Haihan Ji wrote:

5. import to redmine (update old issue and insert new issue)

 Updating issues during the import is quite different, please open a new feature request for that.

#3 - 2016-06-12 12:14 - Jean-Philippe Lang

- Has duplicate Feature #22950: Add column 'status' for CSV import added

#4 - 2016-06-20 18:44 - Toshi MARUYAMA

- Has duplicate Defect #22355: trackers can't be imported on issues added

Powered by TCPDF (www.tcpdf.org)

2025-05-17 2/2

http://www.redmine.org/plugins/importer
http://www.tcpdf.org

